RedBoot User's Guide
Prev | Chapter 5. Installation and Testing | Next

# SuperH/SH3(SH7709) Hitachi Solution Engine 7709

## Overview

This description covers the MS7709SE01 variant. See the Section called SuperH/SH3(SH77X9) Hitachi Solution Engine 77X9 for instructions for the MS7729SE01 and MS7709SSE0101 variants.

RedBoot uses the COM1 and COM2 serial ports. The default serial port settings are 38400,8,N,1. Ethernet is also supported using the 10-base T connector.

Management of onboard flash is also supported.

The following RedBoot configurations are supported:

Configuration | Mode | Description | File
--- | --- | --- | ---
ROM | [ROM] | RedBoot running from the board's flash boot sector. | redboot_ROM.ecm
RAM | [RAM] | RedBoot running from RAM with RedBoot in the flash boot sector. | redboot_RAM.ecm

## Initial Installation Method

The Solution Engine ships with the Hitachi boot monitor in EPROM which allows for initial programming of RedBoot:

1. Set switch SW4-1 to ON [boot from EPROM]

2. Connect a serial cable to CN1 (SCI) and power up the board.

3. After the boot monitor banner, invoke the flash download/program command:

       Ready >fl

4. The monitor should now ask for input:

       Flash ROM data copy to RAM
       Please Send A S-format Record

   At this point copy the RedBoot ROM SREC file to the serial port:

       $ cat redboot_SE7709RP_ROM.eprom.srec > /dev/ttyS0

   Eventually you should see something like

       Start Addrs = A1000000
       End Addrs = A1xxxxxx
       Transfer complete

   from the monitor.

5. Set switch SW4-1 to OFF [boot from flash] and reboot the board. You should now see the RedBoot banner.

## Special RedBoot Commands

The exec command which allows the loading and execution of Linux kernels is supported for this board (see the Section called Executing Programs from RedBoot in Chapter 2). The exec parameters used for the SE77x9 are:

-b `<addr>`

  Parameter block address. This is normally the first page of the kernel image and defaults to 0x8c101000

-i `<addr>`

  Start address of initrd image

-j `<size>`

  Size of initrd image

-c `"args"`

  Kernel arguments string

-m `<flags>`

  Mount rdonly flags. If set to a non-zero value the root partition will be mounted read-only.

-f `<flags>`

  RAM disk flags. Should normally be 0x4000

-r `<device number>`

  Root device specification. /dev/ram is 0x0101

-l `<type>`

  Loader type

Finally the kernel entry address can be specified as an optional argument. The default is 0x8c102000

For the the SE77x9, Linux by default expects to be loaded at 0x8c001000 which conflicts with the data space used by RedBoot. To work around this, either change the CONFIG_MEMORY_START kernel option to a higher address, or use the compressed kernel image and load it at a higher address. For example, setting CONFIG_MEMORY_START to 0x8c100000, the kernel expects to be loaded at address 0x8c101000 with the entry point at 0x8c102000.

## Memory Maps

RedBoot sets up the following memory map on the SE77x9 board.

    Physical Address Range  Description
    ----------------------- -----------
    0x80000000 - 0x803fffff Flash (MBM29LV160)
    0x81000000 - 0x813fffff EPROM (M27C800)
    0x8c000000 - 0x8dffffff DRAM
    0xb0000000 - 0xb03fffff Ethernet (DP83902A)
    0xb0800000 - 0xb08fffff 16C552A
    0xb1000000 - 0xb100ffff Switches
    0xb1800000 - 0xb18fffff LEDs
    0xb8000000 - 0xbbffffff PCMCIA (MaruBun)

## Ethernet Driver

The ethernet driver uses a hardwired ESA which can, at present, only be changed in CDL.

## Rebuilding RedBoot

These shell variables provide the platform-specific information needed for building RedBoot according to the procedure described in Chapter 3:

    export TARGET=se77x9
    export ARCH_DIR=sh
    export PLATFORM_DIR=se77x9

The names of configuration files are listed above with the description of the associated modes.

Prev | Home | Next
SuperH/SH3(SH7708) Hitachi EDK7708 | Up | SuperH/SH3(SH7729) Hitachi HS7729PCI